/* ///////////////////////////////////////////////////////////////////////
 * File:		buffer.h		
 *
 * Created:		08.07.21				
 * Updated:		08.07.21	
 *
 * Brief:		The Memory Buffer Library
 *
 * [<Home>]
 * Copyright (c) 2008-2020, Waruqi All rights reserved.
 * //////////////////////////////////////////////////////////////////// */
#ifndef EXTL_MEMORY_BUFFER_H
#define EXTL_MEMORY_BUFFER_H

/* ///////////////////////////////////////////////////////////////////////
 * Includes
 */
#include "buffer_base.h"
#include "scoped_buffer.h"
#include "stack_buffer.h"
#include "attached_buffer.h"
#include "buffer_selector.h"

/* //////////////////////////////////////////////////////////////////// */
#endif /* EXTL_MEMORY_BUFFER_H */
/* //////////////////////////////////////////////////////////////////// */


